UninstallerContext (install4j help)
Date: 2010-09-29

## install4j API documentation

## com.install4j.api.context
Interface UninstallerContext

All Superinterfaces:
  Context

    public interface UninstallerContext

extends Context

The context provided by the uninstaller. In addition to the methods in the `Context` interface, this extended context offers methods that are specific to the uninstaller.

Author:
  ej-technologies GmbH

Method Summary
`boolean` | `isUninstallForUpgrade()` Returns whether the uninstaller is running as part of an upgrade.

Methods inherited from interface com.install4j.api.context.Context
`addInstallerEventListener, addToClassPath, finish, getActionById, getActions, getActions, getAddOnApplicationId, getApplicationId, getBooleanVariable, getCompilerVariable, getContentDirectory, getDestinationFile, getDestinationFile, getDestinationFileInfo, getExternalFile, getExternalFile, getFileSetById, getFileSetByName, getFileSets, getFirstAction, getFirstScreen, getInstallationComponentById, getInstallationComponents, getInstallationDirectory, getLanguageId, getLauncherById, getLaunchers, getMessage, getMessage, getProgressInterface, getResourceDirectory, getScreenById, getScreens, getScreens, getVariable, getVariableNames, getWizardContext, goBack, goBackInHistory, goBackInHistory, goForward, gotoScreen, handleCriticalException, hasBeenElevated, initializeLazilyCreatedScreens, isCancelling, isConsole, isErrorOccurred, isRebootRequired, isUnattended, registerHiddenVariable, registerResponseFileVariable, removeInstallerEventListener, runElevated, runScript, runUnelevated, setErrorOccurred, setVariable, triggerReboot`

Method Detail

### isUninstallForUpgrade

    boolean isUninstallForUpgrade()

  Returns whether the uninstaller is running as part of an upgrade. This method returns `true` when the uninstaller is run by the "Uninstall previous installation" of another installer performing an upgrade into the same directory.

  Returns:
    `true` or `false`.